---
title: Addon Configuration 
---

### Addon Configuration

#### Composer

For the OTA features of Composer to work properly you **may** need to set your PHP binary location in the `.env` file:

    PHP_PATH=/usr/local/Cellar/php71/7.1.14_25/bin/php
    
#### Repositories

By default the Addons module comes with the following repositories:

 - [https://packages.pyrocms.com](https://packages.pyrocms.com)
 - [https://community.pyrocms.com](https://community.pyrocms.com)
 - [https://development.pyrocms.com](https://development.pyrocms.com) (non-production)
 
To add your own SATIS repository first publish the addon configuration as mentioned below and add your own repositories:

```php
...
'community' => [
    'url'         => 'https://satis.domain.com',
    'name'        => 'Company',
    'title'       => 'Company Addons',
    'description' => 'Company, Inc\'s custom addon collection.',
],
```
 
#### Configuration Files

The Addons module uses it's `repository.php` and `composer.php` config files.

You can override these options by publishing the addon and modifying the resulting configuration file:

    php artisan addon:publish anomaly.module.addons

The field type will be published to `/resources/{application}/addons/anomaly/addons-module`.

>The **composer.json** file is bound to the addon's settings.{.note}
